package com.template.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 账号状态
 */
public enum eTimeGroup {
    TG1701918449235594(1),//上午时间组 9:00 - 12:00
    TG1701747145136852(2),//中午时间组 11:50 - 14:00
    TG1701747243082762(3);//下午时间组 14:30 - 17:00

    private int value;

    eTimeGroup(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eTimeGroup valueOf(int value) {
        switch (value) {
            case 1:
                return eTimeGroup.TG1701918449235594;
            case 2:
                return eTimeGroup.TG1701747145136852;
            case 3:
                return eTimeGroup.TG1701747243082762;
            default:
                return null;
        }
    }

    public static Integer integerOf(String value) {
        switch (value) {
            case "TG1701918449235594":
                return 1;
            case "TG1701747145136852":
                return 2;
            case "TG1701747243082762":
                return 3;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "TG1701918449235594";
            case 2:
                return "TG1701747145136852";
            case 3:
                return "TG1701747243082762";
            default:
                return null;
        }
    }

    public static String stringOfName(Integer value) {
        switch (value) {
            case 1:
                return "上午";
            case 2:
                return "中午";
            case 3:
                return "下午";
            default:
                return null;
        }
    }
}
